# Light-Distribution-Analysis

For more details, you can visit the [Documentation](https://github.com/SweatyCrayfish/light-distribution-analysis).

## Overview

Light-Distribution-Analysis is a Python package designed for the analysis of light distribution in images. The package utilizes OpenCV, NumPy, and Matplotlib to enable in-depth yet simple analysis of the flux and power in images based on their wavelength and frequency representations.

## Features

- Convert RGB images to wavelength and frequency representations.
- Apply edge detection on images.
- Calculate the flux and power of images.
- Save processed images in various forms, including original, wavelength, frequency, and power images.
- Calculate similarity scores based on flux and power.
- Plot power images.
- Export flux and power data to a CSV file for further analysis (feature planned).

## Installation

To install Light-Distribution-Analysis, run the following command in your terminal:

```bash
pip install light-distribution-analysis
